## ros-eloquent-lanelet2 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lanelet2)
if($ENV{ROS_VERSION} EQUAL 1)
  find_package(catkin REQUIRED)
  install(FILES package.xml DESTINATION share/lanelet2)
elseif($ENV{ROS_VERSION} EQUAL 2)
  if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
  endif()
  find_package(ament_cmake_core REQUIRED)
  ament_package()
endif()

=== debian/changelog ===
ros-eloquent-lanelet2 (1.1.1-1bionic) bionic; urgency=high

  * Add missing dependency to ros_environment
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-eloquent-lanelet2 (1.1.0-1bionic) bionic; urgency=high

  * lanelet2 is now no longer a metapackage
  * Include ROS2 into CI scripts
  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-eloquent-lanelet2 (1.0.1-1bionic) bionic; urgency=high

  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-eloquent-lanelet2 (1.0.0-1bionic) bionic; urgency=high

  * Bump version to 1.0
  * Initial commit
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-lanelet2
Section: misc
Priority: optional
Maintainer: Fabian Poggenhans <fabian.poggenhans@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-core, ros-eloquent-ros-environment, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-lanelet2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-lanelet2-core, ros-eloquent-lanelet2-examples, ros-eloquent-lanelet2-io, ros-eloquent-lanelet2-maps, ros-eloquent-lanelet2-projection, ros-eloquent-lanelet2-python, ros-eloquent-lanelet2-routing, ros-eloquent-lanelet2-traffic-rules, ros-eloquent-lanelet2-validation, ros-eloquent-ros-workspace
Description: Meta-package for lanelet2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-lanelet2//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
